!{\src2tex{textfont=tt}}
!!****f* ABINIT/xbarrier_mpi
!! NAME
!!  xbarrier_mpi
!!
!! FUNCTION
!!  Hides MPI_BARRIER from MPI library.
!!
!! COPYRIGHT
!!  Copyright (C) 2003-2010 ABINIT group (MB,XG)
!!  This file is distributed under the terms of the
!!  GNU General Public License, see ~abinit/COPYING
!!  or http://www.gnu.org/copyleft/gpl.txt .
!!
!! INPUTS
!!
!! OUTPUT
!!
!! SIDE EFFECTS
!!
!! PARENTS
!!      atomden,calc_exch,cchi0,cchi0q0,csigme,datafordmft,debug_tools,denfgr
!!      dmft_solve,exc_rmmdiis,exceig,gw2wfk,haydock,ks_ddiago,leave_new
!!      m_coulombian,m_io_kss,m_io_screening,m_melemts,m_screening,m_wfs,outkss
!!      outwf,pawmkaewf,respfn,spectra,tddft,vtorho
!!
!! CHILDREN
!!      mpi_barrier
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xbarrier_mpi(spaceComm,ier)


#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(in) :: spaceComm
 integer,intent(out)   :: ier
!Local variables-------------------
#if defined HAVE_MPI
 integer :: nprocs
#endif

! *************************************************************************

 ier = 0
#if defined HAVE_MPI
 if (spaceComm /= MPI_COMM_NULL) then
   call MPI_COMM_SIZE(spaceComm,nprocs,ier)
   if(nprocs>1)then
     call MPI_BARRIER(spaceComm,ier)
   endif
 end if
#endif
end subroutine xbarrier_mpi
!!***
