!{\src2tex{textfont=tt}}
!!****f* ABINIT/xcomm_rank
!! NAME
!!  xcomm_rank
!!
!! FUNCTION
!!  Hides MPI_COMM_RANK from MPI library.
!!
!! COPYRIGHT
!!  Copyright (C) 2003-2010 ABINIT group (MB)
!!  This file is distributed under the terms of the
!!  GNU General Public License, see ~abinit/COPYING
!!  or http://www.gnu.org/copyleft/gpl.txt .
!!
!! INPUTS
!!
!! OUTPUT
!!
!! SIDE EFFECTS
!!
!! PARENTS
!!
!! CHILDREN
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xcomm_rank(spaceComm,rank,ierr)

#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(in) :: spaceComm
 integer,intent(out) :: rank,ierr

!Local variables-------------------

! *************************************************************************
#if defined HAVE_MPI
 if ( spaceComm/=MPI_COMM_NULL ) then
   call MPI_COMM_RANK(spaceComm,rank,ierr)
 else
#endif
   ierr=0 ; rank=0
#if defined HAVE_MPI
 end if
#endif
end subroutine xcomm_rank
!!***
