!{\src2tex{textfont=tt}}
!!****f* ABINIT/xcomm_size
!! NAME
!!  xcomm_size
!!
!! FUNCTION
!!  Hides MPI_COMM_SIZE from MPI library.
!!
!! COPYRIGHT
!!  Copyright (C) 2003-2010 ABINIT group (MB,XG)
!!  This file is distributed under the terms of the
!!  GNU General Public License, see ~abinit/COPYING
!!  or http://www.gnu.org/copyleft/gpl.txt .
!!
!! INPUTS
!!
!! OUTPUT
!!
!! SIDE EFFECTS
!!
!! PARENTS
!!
!! CHILDREN
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xcomm_size(spaceComm,nprocs,ierr)

#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(in) :: spaceComm
 integer,intent(out) :: nprocs,ierr

!Local variables-------------------

! *************************************************************************

#if defined HAVE_MPI
 if ( spaceComm/=MPI_COMM_NULL ) then
   call MPI_COMM_SIZE(spaceComm,nprocs,ierr)
 else
#endif
   ierr=0 ; nprocs=1
#if defined HAVE_MPI
 end if
#endif

end subroutine xcomm_size
!!***
