!{\src2tex{textfont=tt}}
!!****f* ABINIT/xmpi_end
!! NAME
!!  xmpi_end
!!
!! FUNCTION
!!  Hides MPI_FINALIZE from MPI library.
!!
!! COPYRIGHT
!!  Copyright (C) 2009-2010 ABINIT group (YP)
!!  This file is distributed under the terms of the
!!  GNU General Public License, see ~abinit/COPYING
!!  or http://www.gnu.org/copyleft/gpl.txt .
!!
!! INPUTS
!!  None
!!
!! OUTPUT
!!  ierr= exit status, a non-zero value meaning there is an error
!!
!! PARENTS
!!
!! CHILDREN
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xmpi_end(ierr)


#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(out) :: ierr

! *************************************************************************

 ierr=0
#if defined HAVE_MPI
 call MPI_FINALIZE(ierr)
#endif

end subroutine xmpi_end
!!***

!!****f* ABINIT/xmpi_init
!! NAME
!!  xmpi_init
!!
!! FUNCTION
!!  Hides MPI_INIT from MPI library.
!!
!! INPUTS
!!  None
!!
!! OUTPUT
!!  ierr= exit status, a non-zero value meaning there is an error
!!
!! PARENTS
!!
!! CHILDREN
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xmpi_init(ierr)

#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(out) :: ierr

! *************************************************************************

 ierr=0
#if defined HAVE_MPI
 call MPI_INIT(ierr)
#endif

end subroutine xmpi_init
!!***
