!{\src2tex{textfont=tt}}
!!****f* ABINIT/xmpi_me
!! NAME
!!  xmpi_me
!!
!! FUNCTION
!!  Hides MPI_COMM_RANK for MPI_COMM_WORLD from MPI library.
!!
!! COPYRIGHT
!!  Copyright (C) 2003-2010 ABINIT group (MB,XG)
!!  This file is distributed under the terms of the
!!  GNU General Public License, see ~abinit/COPYING
!!  or http://www.gnu.org/copyleft/gpl.txt .
!!
!! INPUTS
!!
!! OUTPUT
!!  me= number of the current processor
!!
!! SIDE EFFECTS
!!
!! PARENTS
!!      iofn1,leave_new,m_errors,respfn,tddft,wrtout
!!
!! CHILDREN
!!      mpi_comm_rank
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xmpi_me(me)


#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(out) :: me

!Local variables-------------------

#if defined HAVE_MPI
 integer :: ierr
#endif

! *************************************************************************

 me=0
#if defined HAVE_MPI
 call MPI_COMM_RANK(MPI_COMM_WORLD,me,ierr)
#endif
end subroutine xmpi_me
!!***
