!{\src2tex{textfont=tt}}
!!****f* ABINIT/xmpi_nproc
!! NAME
!!  xmpi_nproc
!!
!! FUNCTION
!!  Hides MPI_COMM_SIZE of MPI_COMM_WORLD from MPI library.
!!
!! COPYRIGHT
!!  Copyright (C) 2003-2010 ABINIT group (MB)
!!  This file is distributed under the terms of the
!!  GNU General Public License, see ~abinit/COPYING
!!  or http://www.gnu.org/copyleft/gpl.txt .
!!
!! INPUTS
!!
!! OUTPUT
!!  nproc= number of processors in the pool
!!  ierr= exit status, a non-zero value meaning there is an error
!!
!! SIDE EFFECTS
!!
!! PARENTS
!!      atomden,calc_vHxc_braket,cchi0,cchi0q0,csigme,debug_tools,denfgr,gstate
!!      gstateimg,gw_tools,leave_new,m_coulombian,screening,sigma,tddft,wrtout
!!
!! CHILDREN
!!      mpi_comm_size
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xmpi_nproc(nproc,ierr)


#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(out) :: nproc,ierr

!Local variables-------------------

! *************************************************************************
 ierr=0
 nproc = 1
#if defined HAVE_MPI
 call MPI_COMM_SIZE(MPI_COMM_WORLD,nproc,ierr)
#endif
end subroutine xmpi_nproc
!!***
