!{\src2tex{textfont=tt}}
!!****f* ABINIT/xmpi_world
!! NAME
!!  xmpi_world
!!
!! FUNCTION
!!  Hides MPI_COMM_WORLD from MPI library.
!!
!! COPYRIGHT
!!  Copyright (C) 2009-2010 ABINIT group (YP)
!!  This file is distributed under the terms of the
!!  GNU General Public License, see ~abinit/COPYING
!!  or http://www.gnu.org/copyleft/gpl.txt .
!!
!! INPUTS
!!
!! OUTPUT
!!  spaceComm= MPI communicator (MPI_COMM_WORLD)
!!
!! TODO
!!  MG: All these utilities should be defined in a module.
!!
!! PARENTS
!!
!! CHILDREN
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xmpi_world(spaceComm)


#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(out) :: spaceComm

!Local variables-------------------

! *************************************************************************

 spaceComm = 0
#if defined HAVE_MPI
 spaceComm =  MPI_COMM_WORLD
#endif

end subroutine xmpi_world
!!***

!!****f* ABINIT/xmpi_self
!! NAME
!!  xmpi_self
!!
!! FUNCTION
!!  Hides MPI_COMM_SELF from MPI library.
!!
!! OUTPUT
!!  spaceComm=MPI communicator (MPI_COMM_SELF)
!!
!! PARENTS
!!
!! CHILDREN
!!
!! SOURCE

#if defined HAVE_CONFIG_H
#include "config.h"
#endif

subroutine xmpi_self(spaceComm)


#if defined HAVE_MPI && defined HAVE_MPI2
 use mpi
#endif

 implicit none

#if defined HAVE_MPI && defined HAVE_MPI1
 include 'mpif.h'
#endif

!Arguments-------------------------
 integer,intent(out) :: spaceComm

!Local variables-------------------

! *************************************************************************

 spaceComm = 0
#if defined HAVE_MPI
 spaceComm =  MPI_COMM_SELF
#endif

end subroutine xmpi_self
!!***
